{% block body %}
	<div class="contenu clearfix">
		<div id="rater-import" class="padding15">
			<form method="POST" id='import-form' enctype="multipart/form-data" class="bg_form padding_form border_form clearfix">
				<div class="clearfix">
                    <div class="clearfix">
                        <div class="single">
                            {{ inputAdvance('FILE', {'name' : 'File', 'format' : 'excel'} ) }}
                        </div>
                    </div>
                    <center>
                        <h4>{{ 'Déposez votre fichier d\'import évaluateurs ci-dessus (fichiers supportés : xls, xlsx, csv).' | trad }}</h4>
                        <h3>{{ 'La première colonne de votre fichier doit correspondre aux codes des évaluateurs de la liste.' | trad }}</h3>
                    </center>
                    <hr>
                    <button class="button principal button_right" type='button' 
                        onclick="raterImport('{{ path('Evaluation.Rater.raterImport', {id:id}) }}');">
                        {{ 'Importer' | trad }}
                    </button>
                </div>
            </form>
        </div>
        <script>
            function raterImport(path) {
                activeLoader();
                $.ajax({
                    url: path,
                    data: jForm,
                    type: 'POST',
                    contentType: false,
                    cache: false,
                    mimeType: "multipart/form-data",
                    processData: false,
                    success: function (data) {
                        desactiveLoader();
                        $("#modal-content").addClass("modal_small");
                        $("#modal-body").html(data);
                        activePopup();
                    },
                    error: function (data) {
                        var data = jQuery.parseJSON(data.responseText);
                        if (data.postGestion) {
                            redirectJSWithPost(data.path, data.postGestion);
                        } else {
                            window.location.href = data.path;
                        }
                    }
                });
            };
        </script>
{% endblock %}
